onEvent("recipes", (event) => {

//Ender Ingot
event.remove({ output: 'extendedcrafting:ender_ingot' })
event.custom(
{"type":"mekanism:reaction","itemInput":{"ingredient":[,{"item":"powah:ender_core"}]},"fluidInput":{"amount":1000,"fluid":"mekanismgenerators:bioethanol"},"gasInput":{"amount":1000,"gas":"mekanism:sodium"},"duration":900,"itemOutput":{"item":'extendedcrafting:ender_ingot',"count":1},"gasOutput":{"gas":"mekanism:oxygen","amount":10}}
)

event.shapeless('9x extendedcrafting:ender_ingot', ['extendedcrafting:ender_ingot_block'])
event.shapeless('extendedcrafting:ender_ingot', ['extendedcrafting:ender_nugget', 'extendedcrafting:ender_nugget', 'extendedcrafting:ender_nugget', 'extendedcrafting:ender_nugget', 'extendedcrafting:ender_nugget', 'extendedcrafting:ender_nugget', 'extendedcrafting:ender_nugget', 'extendedcrafting:ender_nugget', 'extendedcrafting:ender_nugget'])

//Ender Crafter
event.remove({ output: 'extendedcrafting:ender_crafter' })
event.shaped('extendedcrafting:ender_crafter', [
'AGA',
'LSL',
'LLL'
], {
  L: 'extendedcrafting:ender_ingot',
  G: 'miniutilities:chorus_opinium_core',
  S: 'draconicevolution:draconium_block',
  A: 'kubejs:gelid_processor'
})

//Ender Alternator
event.remove({ output: '2x extendedcrafting:ender_alternator' })
event.shaped('2x extendedcrafting:ender_alternator', [
' G ',
'LGL',
'LSL'
], {
  L: 'extendedcrafting:ender_ingot',
  G: 'botania:terrasteel_ingot',
  S: 'mysticalagriculture:infusion_pedestal',
})

})
